EXTRA_DIST += \
  src/module.mk \
  src/resource.qrc \
  $(octave_gui_UI) \
  $(octave_gui_ICONS)

octave_gui_MOC = \
  src/m-editor/moc-file-editor-interface.cc \
  src/m-editor/moc-file-editor-tab.cc \
  src/m-editor/moc-file-editor.cc \
  src/m-editor/moc-find-dialog.cc \
  src/m-editor/moc-lexer-octave-gui.cc \
  src/moc-documentation-dockwidget.cc \
  src/moc-files-dockwidget.cc \
  src/moc-history-dockwidget.cc \
  src/moc-main-window.cc \
  src/moc-octave-qt-event-listener.cc \
  src/moc-settings-dialog.cc \
  src/moc-terminal-dockwidget.cc \
  src/moc-welcome-wizard.cc \
  src/moc-workspace-model.cc \
  src/moc-workspace-view.cc \
  src/octave-adapter/moc-octave-main-thread.cc \
  src/qtinfo/moc-parser.cc \
  src/qtinfo/moc-webinfo.cc

octave_gui_UI = \
  src/settings-dialog.ui \
  src/welcome-wizard.ui

octave_gui_UI_H = $(patsubst src/%.ui, src/ui-%.h, $(octave_gui_UI))

octave_gui_RC = src/qrc-resource.cc

liboctgui_la_SOURCES = \
  src/documentation-dockwidget.cc \
  src/files-dockwidget.cc \
  src/history-dockwidget.cc \
  src/m-editor/file-editor-tab.cc \
  src/m-editor/file-editor.cc \
  src/m-editor/find-dialog.cc \
  src/m-editor/lexer-octave-gui.cc \
  src/main-window.cc \
  src/octave-adapter/octave-event.cc \
  src/octave-adapter/octave-link.cc \
  src/octave-adapter/octave-main-thread.cc \
  src/octave-gui.cc \
  src/octave-qt-event-listener.cc \
  src/qtinfo/parser.cc \
  src/qtinfo/webinfo.cc \
  src/resource-manager.cc \
  src/settings-dialog.cc \
  src/symbol-information.cc \
  src/terminal-dockwidget.cc \
  src/welcome-wizard.cc \
  src/workspace-model.cc \
  src/workspace-view.cc

nodist_liboctgui_la_SOURCES = $(octave_gui_MOC) $(octave_gui_RC)

noinst_HEADERS += \
  src/documentation-dockwidget.h \
  src/files-dockwidget.h \
  src/history-dockwidget.h \
  src/m-editor/file-editor-interface.h \
  src/m-editor/file-editor-tab.h \
  src/m-editor/file-editor.h \
  src/m-editor/find-dialog.h \
  src/m-editor/lexer-octave-gui.h \
  src/main-window.h \
  src/octave-adapter/octave-event-listener.h \
  src/octave-adapter/octave-event-observer.h \
  src/octave-adapter/octave-event.h \
  src/octave-adapter/octave-link.h \
  src/octave-adapter/octave-main-thread.h \
  src/octave-gui.h \
  src/octave-qt-event-listener.h \
  src/qtinfo/parser.h \
  src/qtinfo/webinfo.h \
  src/resource-manager.h \
  src/settings-dialog.h \
  src/symbol-information.h \
  src/terminal-dockwidget.h \
  src/welcome-wizard.h \
  src/workspace-model.h \
  src/workspace-view.h

CLEANFILES += \
  $(octave_gui_MOC) \
  $(octave_gui_UI_H) \
  $(octave_gui_RC)

BUILT_SOURCES += $(octave_gui_UI_H)

octave_gui_ICONS = \
  src/icons/arrow_right.png \
  src/icons/artsbuilderexecute.png \
  src/icons/bookmark.png \
  src/icons/bp_next.png \
  src/icons/bp_prev.png \
  src/icons/bp_rm_all.png \
  src/icons/bp_toggle.png \
  src/icons/chat.png \
  src/icons/configure.png \
  src/icons/db_cont.png \
  src/icons/db_step_in.png \
  src/icons/db_step_out.png \
  src/icons/db_step.png \
  src/icons/db_stop.png \
  src/icons/editcopy.png \
  src/icons/editcut.png \
  src/icons/editpaste.png \
  src/icons/filenew.png \
  src/icons/fileopen.png \
  src/icons/filesaveas.png \
  src/icons/filesave.png \
  src/icons/find.png \
  src/icons/help_index.png \
  src/icons/icons_license \
  src/icons/jabber_protocol.png \
  src/icons/logo.png \
  src/icons/question.png \
  src/icons/redled.png \
  src/icons/redo.png \
  src/icons/search.png \
  src/icons/star.png \
  src/icons/stop.png \
  src/icons/terminal.png \
  src/icons/undo.png \
  src/icons/up.png \
  src/icons/zoom-in.png \
  src/icons/zoom-out.png

noinst_LTLIBRARIES += src/libgui-src.la

src_libgui_src_la_SOURCES = $(GUI_SRC_SRC)
src_libgui_src_la_CPPFLAGS = $(liboctgui_la_CPPFLAGS)
